XMLTV version with OSMC

I’m trying to setup a fresh install of OSMC/TVHeadend that will pull metadata from SchedulesDirect.

When installing xmltv using apt-get I install 0.5.63-2, but this version does not include the grabber required for SchedulesDirect (tv_grab_zz_sdjson_sqlite).

That makes sense when you look here: Debian -- Details of package xmltv in jessie

How can I use the latest version from here: Debian -- Details of package xmltv in stretch

Hi,

Probably not the answer you want to hear, but I suggest either waiting for stretch (which the development team are working on now, and hopefully will come soon), or instead check out zap2xml:

Thanks Tom.

You could also try installing:
https://sourceforge.net/projects/xmltv/files/xmltv/0.5.69/

This may require using MCPAN to install further Perl modules. I personally installed all the modules from the top pages instructions, whether I needed them or not. Fairly simple process.

You might possibly need the newest version of the sqlite utility from Github: